Package ru.bitel.bgbilling.kernel.event.events

# Class AppsEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.kernel.event.events.AppsEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class AppsEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AppsEvent(String module, int moduleId, String action, int contractId, jakarta.servlet.http.HttpServletRequest request, Map<String,String> requestParamsMap)`
  `AppsEvent(String plugin, String action, int contractId, jakarta.servlet.http.HttpServletRequest request, Map<String,String> requestParamsMap)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAction()`
  `Map<String,Object>`
  `getDataMap()`
  `String`
  `getModule()`
  `String`
  `getPlugin()`
  `jakarta.servlet.http.HttpServletRequest`
  `getRequest()`
  `Map<String,String>`
  `getRequestParamsMap()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AppsEvent

    public AppsEvent(String module, int moduleId, String action, int contractId, jakarta.servlet.http.HttpServletRequest request, Map<String,String> requestParamsMap)

  - ### AppsEvent

    public AppsEvent(String plugin, String action, int contractId, jakarta.servlet.http.HttpServletRequest request, Map<String,String> requestParamsMap)

- ## Method Details

  - ### getModule

    public String getModule()

  - ### getPlugin

    public String getPlugin()

  - ### getAction

    public String getAction()

  - ### getRequest

    public jakarta.servlet.http.HttpServletRequest getRequest()

  - ### getDataMap

    public Map<String,Object> getDataMap()

  - ### getRequestParamsMap

    public Map<String,String> getRequestParamsMap()